# Miscellaneous Topics	

[[_TOC_]]

## Customize your shell
On a Linux system there are numerous ways of customizing user experience. And of course there is a way to customize the shell. It should be common by now, that people use [BASH](https://de.wikipedia.org/wiki/Bash_(Shell)), if not run `chsh -s /bin/bash` in your terminal and if you are not sure run `echo $SHELL` wich should show bash.

![](https://upload.wikimedia.org/wikipedia/commons/thumb/8/82/Gnu-bash-logo.svg/216px-Gnu-bash-logo.svg.png)

The main files to make your shell unique is to edit two files:

- `.bashrc` - Main configuration file for each terminal, as oposed to `.bash_profile` that is only loaded when you first login.
- `.inputrc` - Configuration file for keybaord shortcuts

Please find examples of these two files here [bashrc](./bashrc) [inputrc](./inputrc). Please adjust these files to your needs. Some parts are only available on special systems.


## Q: How to extract a table from a PDF?

There is a tool for investigative reporting at news organizations, that developed this tool.  [Got to tabula](https://tabula.technology/)

### How to Use Tabula

1. run tabula depending on your OS and got to http://localhost:8080
2. Upload a PDF file containing a data table.
3. Browse to the page you want, then select the table by clicking and dragging to draw a box around the table.
4. Click "Preview & Export Extracted Data". Tabula will try to extract the data and display a preview. Inspect the data to make sure it looks correct. If data is missing, you can go back to adjust your selection.
5. Click the "Export" button.
6. Now you can work with your data as text file or a spreadsheet rather than a PDF

Note: Tabula only works on text-based PDFs, not scanned documents.

